Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.runtime
Class XPath20ExpressionModifier

    java.lang.Object
      org.apache.ode.bpel.elang.xpath20.runtime.XPath20ExpressionModifier

    public class XPath20ExpressionModifier

extends java.lang.Object

A helper utility that modifies XPath Expression in-place. This is meant to be reusable across the XPath and XQuery runtimes.

Constructor Summary
`XPath20ExpressionModifier(NSContext contextUris, net.sf.saxon.om.NamePool namePool)` Creates a new XPath20ExpressionModifier object.

Method Summary
`void` | `insertMissingData(javax.xml.xpath.XPathExpression xpathExpr, org.w3c.dom.Node contextNode)` Insert nodes into the specified XPath expression wherever required To be precise, an node is added to its parent if: a) the node is an element...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPath20ExpressionModifier

    public XPath20ExpressionModifier(NSContext contextUris,
                                     net.sf.saxon.om.NamePool namePool)

  Creates a new XPath20ExpressionModifier object.

  Parameters:
    `contextUris` -
    `namePool` -

Method Detail

### insertMissingData

    public void insertMissingData(javax.xml.xpath.XPathExpression xpathExpr,
                                  org.w3c.dom.Node contextNode)
                           throws org.w3c.dom.DOMException,
                                  javax.xml.transform.TransformerException

  Insert nodes into the specified XPath expression wherever required To be precise, an node is added to its parent if: a) the node is an element... b) that corresponds to an step... c) that has a child axis... d) whose parent had no children with its name... e) and all preceding steps are element name tests.

  Parameters:
    `xpathExpr` -
    `namePool` -
  Throws:
    `org.w3c.dom.DOMException`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD